Name:		meanwhile
Summary:	Lotus Sametime Community Client library
License:	LGPLv2+
Group:		Applications/Internet
Version:	1.1.0
Release:	1
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# cvs -d:pserver:anonymous@meanwhile.cvs.sourceforge.net:/cvsroot/meanwhile login
# [hit return for the password]
# cvs -d:pserver:anonymous@meanwhile.cvs.sourceforge.net:/cvsroot/meanwhile co -d meanwhile-1.1.0 -r meanwhile_v1_1_0 meanwhile
# cd meanwhile-1.1.0
# ./autogen.sh
# make dist
Source:		%{name}-%{version}.tar.gz
Patch0:		%{name}-crash.patch
URL:		http://meanwhile.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel >= 2.8.1, doxygen, patch
Requires:      glib2 >= 2.8.1

%define _libdir64 %{_prefix}/lib64

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence Awareness, Instant Messaging, Multi-user Conferencing, Preferences
Storage, Identity Resolution, and File Transfer. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as the user
directory and whiteboard and screen-sharing.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= 2.8.1
Requires: pkg-config

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc_r -q64" or "gcc -maix64".


%package doc
Summary: Documentation for the Meanwhile library
Group: Applications/Internet
License: GFDL

%description doc
Documentation for the Meanwhile library


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p0
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CC="xlc_r"

cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --enable-shared --disable-static \
    --disable-doxygen
make %{?_smp_mflags}

cd ../32bit
# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-doxygen
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install

cd ../32bit
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}%{_libdir64}
  for f in *.a ; do
    /usr/bin/ar -X64 -x ${f}
  done

  cd ${RPM_BUILD_ROOT}%{_libdir}
  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

# add the 64-bit shared objects to the shared libraries containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.a ${RPM_BUILD_ROOT}%{_libdir64}/lib%{name}.so*

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)

# Remove the latex documentation.  Nobody reads it, it installs a font for
# some unknown reason, and people have to build it themselves.  Dumb.
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-doc-%{version}/latex


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/AUTHORS 32bit/ChangeLog 32bit/COPYING 32bit/README 32bit/TODO
%doc 32bit/INSTALL 32bit/LICENSE 32bit/NEWS
%{_libdir}/*.a
%{_libdir}/*.so*
%{_libdir64}/*.so*
/usr/lib/*.a
/usr/lib/*.so*
/usr/lib64/*.so*


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir64}/pkgconfig/*.pc
/usr/include/*


%files doc
%defattr(-,root,system,-)
%{_datadir}/doc/%{name}-doc-%{version}/


%changelog
* Thu Mar 17 2011 Michael Perzl <michael@perzl.org> - 1.10-1
- first version for AIX V5.1 and higher
